Skip to main content
GET
List node pools

Authorizations

Authorization
string
header
required

Bearer token for the authenticated caller.

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens - a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def4"

Path Parameters

id
string
required
Required string length: 3 - 54

Query Parameters

cursor
string
Maximum string length: 512
limit
integer
Required range: 1 <= x <= 100

Response

Node pools, by ID

data
object[]
required
Maximum array length: 100
has_more
boolean
required
next_cursor
string | null
required
Maximum string length: 512